Manifest-Version: 1.0
Bnd-LastModified: 1728056763374
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Commerce Product Definitions Web
Bundle-SymbolicName: com.liferay.commerce.product.definitions.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 7.0.116.hotfix-6029-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.account.model;version="5.6",com.liferay.account.service;version="1
 0.2",com.liferay.application.list;version="7.0",com.liferay.asset.ker
 nel.exception;version="4.0",com.liferay.asset.kernel.model;version="1
 1.1",com.liferay.commerce.account.item.selector.criterion;version="1.
 2",com.liferay.commerce.constants;version="15.0",com.liferay.commerce
 .context;version="13.0",com.liferay.commerce.currency.model;version="
 7.0",com.liferay.commerce.currency.service;version="6.1",com.liferay.
 commerce.currency.util;version="2.0",com.liferay.commerce.exception;v
 ersion="6.4",com.liferay.commerce.frontend.model;version="11.0",com.l
 iferay.commerce.frontend.util;version="3.0",com.liferay.commerce.inve
 ntory;version="4.0",com.liferay.commerce.inventory.engine;version="5.
 0",com.liferay.commerce.inventory.model;version="10.1",com.liferay.co
 mmerce.media;version="3.0",com.liferay.commerce.model;version="18.1",
 com.liferay.commerce.price;version="9.0",com.liferay.commerce.price.l
 ist.model;version="8.1",com.liferay.commerce.price.list.service;versi
 on="16.0",com.liferay.commerce.pricing.configuration;version="1.0",co
 m.liferay.commerce.pricing.exception;version="2.0",com.liferay.commer
 ce.product.configuration;version="6.0",com.liferay.commerce.product.c
 onstants;version="13.0",com.liferay.commerce.product.display.context;
 version="3.0",com.liferay.commerce.product.display.context.helper;ver
 sion="1.0",com.liferay.commerce.product.exception;version="12.6",com.
 liferay.commerce.product.item.selector.criterion;version="1.2",com.li
 feray.commerce.product.model;version="23.0",com.liferay.commerce.prod
 uct.option;version="5.0",com.liferay.commerce.product.portlet.action;
 version="2.0",com.liferay.commerce.product.service;version="39.1",com
 .liferay.commerce.product.servlet.taglib.ui.constants;version="1.4",c
 om.liferay.commerce.product.type;version="3.0",com.liferay.commerce.p
 roduct.type.virtual.constants;version="1.1",com.liferay.commerce.prod
 uct.url;version="1.0",com.liferay.commerce.product.util;version="24.0
 ",com.liferay.commerce.product.util.comparator;version="2.3",com.life
 ray.commerce.service;version="35.0",com.liferay.commerce.stock.activi
 ty;version="3.0",com.liferay.commerce.util;version="11.0",com.liferay
 .commerce.util.comparator;version="6.0",com.liferay.document.library.
 display.context;version="9.2",com.liferay.document.library.kernel.exc
 eption;version="4.2",com.liferay.expando.kernel.model;version="6.0",c
 om.liferay.exportimport.kernel.lar;version="5.2",com.liferay.friendly
 .url.exception;version="1.0",com.liferay.frontend.data.set.filter;ver
 sion="7.0",com.liferay.frontend.data.set.model;version="2.1",com.life
 ray.frontend.data.set.provider;version="1.0",com.liferay.frontend.dat
 a.set.provider.search;version="1.0",com.liferay.frontend.data.set.vie
 w;version="3.1",com.liferay.frontend.data.set.view.table;version="9.0
 ",com.liferay.frontend.js.loader.modules.extender.npm;version="7.0",c
 om.liferay.frontend.taglib.clay.servlet.taglib.util;version="4.6",com
 .liferay.frontend.taglib.servlet.taglib;version="8.3",com.liferay.fro
 ntend.taglib.servlet.taglib.util;version="2.0",com.liferay.headless.c
 ommerce.admin.catalog.dto.v1_0;version="18.1",com.liferay.headless.co
 mmerce.delivery.catalog.dto.v1_0;version="6.1",com.liferay.headless.c
 ommerce.delivery.catalog.dto.v1_0.converter;version="2.0",com.liferay
 .info.collection.provider;version="4.0",com.liferay.info.field;versio
 n="4.1",com.liferay.info.field.type;version="6.2",com.liferay.info.fo
 rm;version="2.1",com.liferay.info.item;version="7.0",com.liferay.info
 .pagination;version="1.1",com.liferay.info.type;version="3.0",com.lif
 eray.item.selector;version="4.10",com.liferay.item.selector.criteria;
 version="2.4",com.liferay.item.selector.criteria.file.criterion;versi
 on="1.2",com.liferay.item.selector.criteria.image.criterion;version="
 1.1",com.liferay.layout.item.selector.criterion;version="2.0",com.lif
 eray.layout.page.template.model;version="7.2",com.liferay.layout.page
 .template.service;version="8.0",com.liferay.osgi.util.service;version
 ="3.1",com.liferay.petra.function;version="1.5",com.liferay.petra.fun
 ction.transform;version="1.3",com.liferay.petra.sql.dsl.query;version
 ="2.0",com.liferay.petra.string;version="1.7",com.liferay.portal.conf
 iguration.metatype.annotations;version="1.8",com.liferay.portal.confi
 guration.metatype.bnd.util;version="3.0",com.liferay.portal.configura
 tion.module.configuration;version="1.0",com.liferay.portal.kernel.ann
 otation;version="7.0",com.liferay.portal.kernel.application.type;vers
 ion="1.0",com.liferay.portal.kernel.bean;version="10.1",com.liferay.p
 ortal.kernel.dao.orm;version="12.0",com.liferay.portal.kernel.excepti
 on;version="13.3",com.liferay.portal.kernel.feature.flag;version="2.0
 ",com.liferay.portal.kernel.json;version="12.1",com.liferay.portal.ke
 rnel.language;version="12.0",com.liferay.portal.kernel.log;version="8
 .0",com.liferay.portal.kernel.model;version="30.6",com.liferay.portal
 .kernel.model.portlet;version="2.0",com.liferay.portal.kernel.notific
 ations;version="11.1",com.liferay.portal.kernel.plugin;version="7.0",
 com.liferay.portal.kernel.pop;version="7.0",com.liferay.portal.kernel
 .portlet;version="26.0",com.liferay.portal.kernel.portlet.bridges.mvc
 ;version="6.1",com.liferay.portal.kernel.portlet.bridges.mvc.constant
 s;version="1.0",com.liferay.portal.kernel.portlet.url.builder;version
 ="2.0",com.liferay.portal.kernel.repository.model;version="11.2",com.
 liferay.portal.kernel.resource.bundle;version="1.0",com.liferay.porta
 l.kernel.scheduler;version="19.0",com.liferay.portal.kernel.search;ve
 rsion="20.2",com.liferay.portal.kernel.security.auth;version="6.2",co
 m.liferay.portal.kernel.security.permission;version="7.0",com.liferay
 .portal.kernel.security.permission.propagator;version="1.0",com.lifer
 ay.portal.kernel.security.permission.resource;version="2.3",com.lifer
 ay.portal.kernel.service;version="26.0",com.liferay.portal.kernel.ser
 vice.permission;version="7.0",com.liferay.portal.kernel.servlet;versi
 on="13.0",com.liferay.portal.kernel.settings;version="5.0",com.lifera
 y.portal.kernel.template;version="15.0",com.liferay.portal.kernel.the
 me;version="11.1",com.liferay.portal.kernel.transaction;version="8.1"
 ,com.liferay.portal.kernel.trash;version="14.0",com.liferay.portal.ke
 rnel.upload;version="10.1",com.liferay.portal.kernel.util;version="65
 .0",com.liferay.portal.kernel.webdav;version="10.0",com.liferay.porta
 l.kernel.workflow;version="21.0",com.liferay.portal.kernel.xml;versio
 n="7.2",com.liferay.portal.kernel.xmlrpc;version="7.0",com.liferay.po
 rtal.template.react.renderer;version="1.1",com.liferay.portal.vulcan.
 dto.converter;version="4.0",com.liferay.social.kernel.model;version="
 6.1",com.liferay.taglib.servlet;version="3.0",com.liferay.taglib.util
 ;version="14.0",com.liferay.upload;version="1.2",javax.portlet,javax.
 portlet.annotations,javax.servlet,javax.servlet.http,javax.servlet.js
 p;version="2.3",javax.ws.rs.core;version="2.1"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Commerce
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: commerce
Liferay-Releng-Suite-Description: This suite is available in the Lifer
 ay bundle.
Liferay-Releng-Suite-Title: Liferay Commerce
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.commerce.product.definitions.web.internal
 .application.list,com.liferay.commerce.product.definitions.web.intern
 al.asset,com.liferay.commerce.product.definitions.web.internal.config
 uration,com.liferay.commerce.product.definitions.web.internal.constan
 ts,com.liferay.commerce.product.definitions.web.internal.custom.attri
 butes,com.liferay.commerce.product.definitions.web.internal.display.c
 ontext,com.liferay.commerce.product.definitions.web.internal.frontend
 .data.set.filter,com.liferay.commerce.product.definitions.web.interna
 l.frontend.data.set.provider,com.liferay.commerce.product.definitions
 .web.internal.frontend.data.set.view.table,com.liferay.commerce.produ
 ct.definitions.web.internal.frontend.taglib.servlet.taglib,com.lifera
 y.commerce.product.definitions.web.internal.model,com.liferay.commerc
 e.product.definitions.web.internal.option,com.liferay.commerce.produc
 t.definitions.web.internal.portlet,com.liferay.commerce.product.defin
 itions.web.internal.portlet.action,com.liferay.commerce.product.defin
 itions.web.internal.scheduler,com.liferay.commerce.product.definition
 s.web.internal.security.permission.resource,com.liferay.commerce.prod
 uct.definitions.web.internal.util,resource-actions
Provide-Capability: osgi.webresource;osgi.webresource="@liferay/commer
 ce-product-definitions-web";version:Version="7.0.116.hotfix-6029-7413
 ",osgi.service;objectClass:List<String>="com.liferay.application.list
 .PanelApp";uses:="com.liferay.application.list",osgi.service;objectCl
 ass:List<String>="com.liferay.asset.kernel.model.AssetRendererFactory
 ";uses:="com.liferay.asset.kernel.model",osgi.service;objectClass:Lis
 t<String>="com.liferay.commerce.product.option.CommerceOptionType";us
 es:="com.liferay.commerce.product.option",osgi.service;objectClass:Li
 st<String>="com.liferay.commerce.product.option.CommerceOptionValueHe
 lper";uses:="com.liferay.commerce.product.option",osgi.service;object
 Class:List<String>="com.liferay.expando.kernel.model.CustomAttributes
 Display";uses:="com.liferay.expando.kernel.model",osgi.service;object
 Class:List<String>="com.liferay.frontend.data.set.filter.FDSFilter";u
 ses:="com.liferay.frontend.data.set.filter",osgi.service;objectClass:
 List<String>="com.liferay.frontend.data.set.provider.FDSActionProvide
 r";uses:="com.liferay.frontend.data.set.provider",osgi.service;object
 Class:List<String>="com.liferay.frontend.data.set.provider.FDSDataPro
 vider";uses:="com.liferay.frontend.data.set.provider",osgi.service;ob
 jectClass:List<String>="com.liferay.frontend.data.set.view.FDSView";u
 ses:="com.liferay.frontend.data.set.view",osgi.service;objectClass:Li
 st<String>="com.liferay.frontend.taglib.servlet.taglib.ScreenNavigati
 onCategory";uses:="com.liferay.frontend.taglib.servlet.taglib",osgi.s
 ervice;objectClass:List<String>="com.liferay.frontend.taglib.servlet.
 taglib.ScreenNavigationEntry";uses:="com.liferay.frontend.taglib.serv
 let.taglib",osgi.service;objectClass:List<String>="com.liferay.portal
 .kernel.portlet.PortletProvider";uses:="com.liferay.portal.kernel.por
 tlet",osgi.service;objectClass:List<String>="com.liferay.portal.kerne
 l.portlet.bridges.mvc.MVCActionCommand";uses:="com.liferay.portal.ker
 nel.portlet.bridges.mvc",osgi.service;objectClass:List<String>="com.l
 iferay.portal.kernel.portlet.bridges.mvc.MVCRenderCommand";uses:="com
 .liferay.portal.kernel.portlet.bridges.mvc",osgi.service;objectClass:
 List<String>="com.liferay.portal.kernel.scheduler.SchedulerJobConfigu
 ration";uses:="com.liferay.portal.kernel.scheduler",osgi.service;obje
 ctClass:List<String>="javax.portlet.Portlet";uses:="javax.portlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /aui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/clay))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/commerce-ui))",osgi.extender;filt
 er:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/expando)
 )",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lif
 eray.com/tld/frontend))",osgi.extender;filter:="(&(osgi.extender=jsp.
 taglib)(uri=http://liferay.com/tld/frontend-data-set))",osgi.extender
 ;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ite
 m-selector))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri
 =http://liferay.com/tld/portlet))",osgi.extender;filter:="(&(osgi.ext
 ender=jsp.taglib)(uri=http://liferay.com/tld/theme))",osgi.extender;f
 ilter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ui))"
 ,osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lifer
 ay.com/tld/util))",osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.account.service.AccountGroupLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.account.s
 ervice.AccountGroupRelLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.commerce.currency.service.CommerceCu
 rrencyLocalService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.commerce.currency.util.CommercePriceFormatter)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.commerce
 .frontend.util.ProductHelper)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.commerce.inventory.CPDefinitionInventoryEn
 gineRegistry)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.commerce.inventory.engine.CommerceInventoryEngine)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.commerce.p
 rice.CommerceProductPriceCalculation)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.commerce.price.list.service.Commer
 cePriceEntryLocalService)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.commerce.price.list.service.CommercePriceEntry
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.commerce.price.list.service.CommercePriceListLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.commerc
 e.product.configuration.CPDefinitionLinkTypeSettings)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.commerce.product.o
 ption.CommerceOptionTypeRegistry)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.commerce.product.portlet.action.Action
 Helper)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.commerce.product.service.CPAttachmentFileEntryLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.commerc
 e.product.service.CPAttachmentFileEntryService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.commerce.product.service
 .CPDefinitionLinkLocalService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.commerce.product.service.CPDefinitionLink
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.commerce.product.service.CPDefinitionLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.commerce.produc
 t.service.CPDefinitionOptionRelLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.commerce.product.service.CP
 DefinitionOptionRelService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.commerce.product.service.CPDefinitionOptionV
 alueRelLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.commerce.product.service.CPDefinitionOptionValueRel
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.commerce.product.service.CPDefinitionService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.commerce.product.ser
 vice.CPDefinitionSpecificationOptionValueService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.commerce.product.servi
 ce.CPDisplayLayoutService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.commerce.product.service.CPInstanceLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .commerce.product.service.CPInstanceService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.commerce.product.service.CP
 InstanceUnitOfMeasureService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.commerce.product.service.CPMeasurementUnit
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.commerce.product.service.CPOptionCategoryService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.commerce.pr
 oduct.service.CPSpecificationOptionService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.commerce.product.service.CPT
 axCategoryLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.commerce.product.service.CProductLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.comm
 erce.product.service.CommerceCatalogLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.commerce.product.servi
 ce.CommerceCatalogService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.commerce.product.service.CommerceChannelLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.commerce.product.service.CommerceChannelRelService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.commerce.produ
 ct.service.CommerceChannelService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.commerce.product.type.CPTypeRegistry)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.co
 mmerce.product.url.CPFriendlyURL)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.commerce.product.util.CPCollectionProv
 iderHelper)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.commerce.product.util.CPDefinitionHelper)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.commerce.product.util
 .CPInstanceHelper)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.commerce.service.CPDAvailabilityEstimateService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.commerc
 e.service.CPDefinitionInventoryService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.commerce.service.CommerceAvailab
 ilityEstimateLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.commerce.stock.activity.CommerceLowStockActiv
 ityRegistry)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.document.library.display.context.DLMimeTypeDisplayContext)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.fro
 ntend.data.set.view.table.FDSTableSchemaBuilderFactory)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.frontend.js.load
 er.modules.extender.npm.NPMResolver)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.frontend.taglib.servlet.taglib.util
 .JSPRenderer)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.info.item.InfoItemServiceRegistry)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.item.selector.ItemSelector
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.i
 tem.selector.ItemSelectorUploadResponseHandler)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.layout.page.template.ser
 vice.LayoutPageTemplateEntryLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.layout.page.template.service.L
 ayoutPageTemplateEntryService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.configuration.module.configuration
 .ConfigurationProvider)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.json.JSONFactory)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.langu
 age.Language)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.model.Portlet)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.security.permissio
 n.resource.ModelResourcePermission)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.security.permission.re
 source.PortletResourcePermission)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.GroupLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.service.LayoutLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.service.Workflow
 DefinitionLinkLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.permission.GroupPermis
 sion)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.service.permission.LayoutPermission)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.util
 .File)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.util.Localization)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.util.Portal)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.temp
 late.react.renderer.ReactRenderer)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.vulcan.dto.converter.DTOConver
 ter)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.vulcan.dto.converter.DTOConverterRegistry)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.upload.UniqueFileNam
 eProvider)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.upload.UploadHandler)";effective:=active,osgi.service;filter:
 ="(objectClass=javax.servlet.ServletContext)";effective:=active,osgi.
 contract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServ
 let)(version=3.1.0))",osgi.contract;osgi.contract=JavaPortlet;filter:
 ="(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.ee;filter:="(&(
 osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.commerce.product.definitions.w
 eb.internal.application.list.CPDefinitionsPanelApp.xml,OSGI-INF/com.l
 iferay.commerce.product.definitions.web.internal.asset.CPDefinitionAs
 setRendererFactory.xml,OSGI-INF/com.liferay.commerce.product.definiti
 ons.web.internal.asset.CPDefinitionLinkAssetRendererFactory.xml,OSGI-
 INF/com.liferay.commerce.product.definitions.web.internal.custom.attr
 ibutes.CPAttachmentFileEntryCustomAttributesDisplay.xml,OSGI-INF/com.
 liferay.commerce.product.definitions.web.internal.custom.attributes.C
 PDefinitionCustomAttributesDisplay.xml,OSGI-INF/com.liferay.commerce.
 product.definitions.web.internal.custom.attributes.CPDefinitionLinkCu
 stomAttributesDisplay.xml,OSGI-INF/com.liferay.commerce.product.defin
 itions.web.internal.custom.attributes.CPDefinitionOptionRelCustomAttr
 ibutesDisplay.xml,OSGI-INF/com.liferay.commerce.product.definitions.w
 eb.internal.custom.attributes.CPDefinitionOptionValueRelCustomAttribu
 tesDisplay.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.
 internal.custom.attributes.CPDefinitionSpecificationOptionValueCustom
 AttributesDisplay.xml,OSGI-INF/com.liferay.commerce.product.definitio
 ns.web.internal.custom.attributes.CPInstanceCustomAttributesDisplay.x
 ml,OSGI-INF/com.liferay.commerce.product.definitions.web.internal.cus
 tom.attributes.CPSpecificationOptionCustomAttributesDisplay.xml,OSGI-
 INF/com.liferay.commerce.product.definitions.web.internal.frontend.da
 ta.set.filter.AssetCategorySelectionFDSFilter.xml,OSGI-INF/com.lifera
 y.commerce.product.definitions.web.internal.frontend.data.set.filter.
 CommerceCatalogSelectionFDSFilter.xml,OSGI-INF/com.liferay.commerce.p
 roduct.definitions.web.internal.frontend.data.set.filter.CommerceChan
 nelSelectionFDSFilter.xml,OSGI-INF/com.liferay.commerce.product.defin
 itions.web.internal.frontend.data.set.filter.ProductTypeSelectionFDSF
 ilter.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.inter
 nal.frontend.data.set.provider.CommerceProductAccountGroupFDSActionPr
 ovider.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.inte
 rnal.frontend.data.set.provider.CommerceProductAccountGroupFDSDataPro
 vider.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.inter
 nal.frontend.data.set.provider.CommerceProductAttachmentFDSDataProvid
 er.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.internal
 .frontend.data.set.provider.CommerceProductChannelFDSActionProvider.x
 ml,OSGI-INF/com.liferay.commerce.product.definitions.web.internal.fro
 ntend.data.set.provider.CommerceProductChannelFDSDataProvider.xml,OSG
 I-INF/com.liferay.commerce.product.definitions.web.internal.frontend.
 data.set.provider.CommerceProductDefinitionLinkFDSActionProvider.xml,
 OSGI-INF/com.liferay.commerce.product.definitions.web.internal.fronte
 nd.data.set.provider.CommerceProductDefinitionLinkFDSDataProvider.xml
 ,OSGI-INF/com.liferay.commerce.product.definitions.web.internal.front
 end.data.set.provider.CommerceProductDefinitionSpecificationFDSAction
 Provider.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.in
 ternal.frontend.data.set.provider.CommerceProductDefinitionSpecificat
 ionFDSDataProvider.xml,OSGI-INF/com.liferay.commerce.product.definiti
 ons.web.internal.frontend.data.set.provider.CommerceProductDisplayPag
 eFDSActionProvider.xml,OSGI-INF/com.liferay.commerce.product.definiti
 ons.web.internal.frontend.data.set.provider.CommerceProductDisplayPag
 eFDSDataProvider.xml,OSGI-INF/com.liferay.commerce.product.definition
 s.web.internal.frontend.data.set.provider.CommerceProductImageFDSData
 Provider.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.in
 ternal.frontend.data.set.provider.CommerceProductInstanceFDSActionPro
 vider.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.inter
 nal.frontend.data.set.provider.CommerceProductInstanceFDSDataProvider
 .xml,OSGI-INF/com.liferay.commerce.product.definitions.web.internal.f
 rontend.data.set.provider.CommerceProductMediaFDSActionProvider.xml,O
 SGI-INF/com.liferay.commerce.product.definitions.web.internal.fronten
 d.data.set.provider.CommerceProductOptionFDSActionProvider.xml,OSGI-I
 NF/com.liferay.commerce.product.definitions.web.internal.frontend.dat
 a.set.provider.CommerceProductOptionFDSDataProvider.xml,OSGI-INF/com.
 liferay.commerce.product.definitions.web.internal.frontend.data.set.p
 rovider.CommerceProductOptionValueFDSActionProvider.xml,OSGI-INF/com.
 liferay.commerce.product.definitions.web.internal.frontend.data.set.p
 rovider.CommerceProductOptionValueFDSDataProvider.xml,OSGI-INF/com.li
 feray.commerce.product.definitions.web.internal.frontend.data.set.vie
 w.table.AllSkusTableFDSView.xml,OSGI-INF/com.liferay.commerce.product
 .definitions.web.internal.frontend.data.set.view.table.CommerceProduc
 tChannelTableFDSView.xml,OSGI-INF/com.liferay.commerce.product.defini
 tions.web.internal.frontend.data.set.view.table.CommerceProductDefini
 tionLinkTableFDSView.xml,OSGI-INF/com.liferay.commerce.product.defini
 tions.web.internal.frontend.data.set.view.table.CommerceProductDefini
 tionSpecificationTableFDSView.xml,OSGI-INF/com.liferay.commerce.produ
 ct.definitions.web.internal.frontend.data.set.view.table.CommerceProd
 uctDefinitionTableFDSView.xml,OSGI-INF/com.liferay.commerce.product.d
 efinitions.web.internal.frontend.data.set.view.table.CommerceProductD
 isplayPageTableFDSView.xml,OSGI-INF/com.liferay.commerce.product.defi
 nitions.web.internal.frontend.data.set.view.table.CommerceProductInst
 anceTableFDSView.xml,OSGI-INF/com.liferay.commerce.product.definition
 s.web.internal.frontend.data.set.view.table.CommerceProductInstanceUn
 itOfMeasureTableFDSView.xml,OSGI-INF/com.liferay.commerce.product.def
 initions.web.internal.frontend.data.set.view.table.CommerceProductMed
 iaTableFDSView.xml,OSGI-INF/com.liferay.commerce.product.definitions.
 web.internal.frontend.data.set.view.table.CommerceProductOptionTableF
 DSView.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.inte
 rnal.frontend.data.set.view.table.CommerceProductOptionValueStaticTab
 leFDSView.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.i
 nternal.frontend.data.set.view.table.CommerceProductOptionValueTableF
 DSView.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.inte
 rnal.frontend.taglib.servlet.taglib.CPDefinitionAttachmentsScreenNavi
 gationCategory.xml,OSGI-INF/com.liferay.commerce.product.definitions.
 web.internal.frontend.taglib.servlet.taglib.CPDefinitionAttachmentsSc
 reenNavigationEntry.xml,OSGI-INF/com.liferay.commerce.product.definit
 ions.web.internal.frontend.taglib.servlet.taglib.CPDefinitionConfigur
 ationScreenNavigationCategory.xml,OSGI-INF/com.liferay.commerce.produ
 ct.definitions.web.internal.frontend.taglib.servlet.taglib.CPDefiniti
 onConfigurationScreenNavigationEntry.xml,OSGI-INF/com.liferay.commerc
 e.product.definitions.web.internal.frontend.taglib.servlet.taglib.CPD
 efinitionDetailsScreenNavigationCategory.xml,OSGI-INF/com.liferay.com
 merce.product.definitions.web.internal.frontend.taglib.servlet.taglib
 .CPDefinitionDetailsScreenNavigationEntry.xml,OSGI-INF/com.liferay.co
 mmerce.product.definitions.web.internal.frontend.taglib.servlet.tagli
 b.CPDefinitionInstancesScreenNavigationCategory.xml,OSGI-INF/com.life
 ray.commerce.product.definitions.web.internal.frontend.taglib.servlet
 .taglib.CPDefinitionInstancesScreenNavigationEntry.xml,OSGI-INF/com.l
 iferay.commerce.product.definitions.web.internal.frontend.taglib.serv
 let.taglib.CPDefinitionOptionsScreenNavigationCategory.xml,OSGI-INF/c
 om.liferay.commerce.product.definitions.web.internal.frontend.taglib.
 servlet.taglib.CPDefinitionOptionsScreenNavigationEntry.xml,OSGI-INF/
 com.liferay.commerce.product.definitions.web.internal.frontend.taglib
 .servlet.taglib.CPDefinitionProductRelationsScreenNavigationCategory.
 xml,OSGI-INF/com.liferay.commerce.product.definitions.web.internal.fr
 ontend.taglib.servlet.taglib.CPDefinitionProductRelationsScreenNaviga
 tionEntry.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.i
 nternal.frontend.taglib.servlet.taglib.CPDefinitionVisibilityScreenNa
 vigationCategory.xml,OSGI-INF/com.liferay.commerce.product.definition
 s.web.internal.frontend.taglib.servlet.taglib.CPDefinitionVisibilityS
 creenNavigationEntry.xml,OSGI-INF/com.liferay.commerce.product.defini
 tions.web.internal.frontend.taglib.servlet.taglib.CPInstanceDetailsSc
 reenNavigationCategory.xml,OSGI-INF/com.liferay.commerce.product.defi
 nitions.web.internal.frontend.taglib.servlet.taglib.CPInstanceDetails
 ScreenNavigationEntry.xml,OSGI-INF/com.liferay.commerce.product.defin
 itions.web.internal.frontend.taglib.servlet.taglib.CPInstanceUnitOfMe
 asureScreenNavigationCategory.xml,OSGI-INF/com.liferay.commerce.produ
 ct.definitions.web.internal.frontend.taglib.servlet.taglib.CPInstance
 UnitOfMeasureScreenNavigationEntry.xml,OSGI-INF/com.liferay.commerce.
 product.definitions.web.internal.frontend.taglib.servlet.taglib.Comme
 rceChannelProductDisplayLayoutsScreenNavigationCategory.xml,OSGI-INF/
 com.liferay.commerce.product.definitions.web.internal.frontend.taglib
 .servlet.taglib.CommerceChannelProductDisplayLayoutsScreenNavigationE
 ntry.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.intern
 al.frontend.taglib.servlet.taglib.LayoutCPDefinitionDisplayLayoutSele
 ctionScreenNavigationCategory.xml,OSGI-INF/com.liferay.commerce.produ
 ct.definitions.web.internal.frontend.taglib.servlet.taglib.LayoutCPDe
 finitionDisplayLayoutSelectionScreenNavigationEntry.xml,OSGI-INF/com.
 liferay.commerce.product.definitions.web.internal.frontend.taglib.ser
 vlet.taglib.LayoutPageTemplateEntryCPDefinitionDisplayLayoutSelection
 ScreenNavigationCategory.xml,OSGI-INF/com.liferay.commerce.product.de
 finitions.web.internal.frontend.taglib.servlet.taglib.LayoutPageTempl
 ateEntryCPDefinitionDisplayLayoutSelectionScreenNavigationEntry.xml,O
 SGI-INF/com.liferay.commerce.product.definitions.web.internal.option.
 CheckboxCommerceOptionTypeImpl.xml,OSGI-INF/com.liferay.commerce.prod
 uct.definitions.web.internal.option.CheckboxMultipleCommerceOptionTyp
 eImpl.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.inter
 nal.option.CommerceOptionValueHelperImpl.xml,OSGI-INF/com.liferay.com
 merce.product.definitions.web.internal.option.DateCommerceOptionTypeI
 mpl.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.interna
 l.option.NumericCommerceOptionTypeImpl.xml,OSGI-INF/com.liferay.comme
 rce.product.definitions.web.internal.option.RadioCommerceOptionTypeIm
 pl.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.internal
 .option.SelectCommerceOptionTypeImpl.xml,OSGI-INF/com.liferay.commerc
 e.product.definitions.web.internal.option.TextCommerceOptionTypeImpl.
 xml,OSGI-INF/com.liferay.commerce.product.definitions.web.internal.po
 rtlet.CPDefinitionsPortlet.xml,OSGI-INF/com.liferay.commerce.product.
 definitions.web.internal.portlet.CPDefinitionsPortletProvider.xml,OSG
 I-INF/com.liferay.commerce.product.definitions.web.internal.portlet.a
 ction.AddCPDefinitionMVCRenderCommand.xml,OSGI-INF/com.liferay.commer
 ce.product.definitions.web.internal.portlet.action.AddCPInstanceUnitO
 fMeasureMVCRenderCommand.xml,OSGI-INF/com.liferay.commerce.product.de
 finitions.web.internal.portlet.action.DuplicateCPDefinitionMVCRenderC
 ommand.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.inte
 rnal.portlet.action.EditCPAttachmentFileEntryMVCActionCommand.xml,OSG
 I-INF/com.liferay.commerce.product.definitions.web.internal.portlet.a
 ction.EditCPAttachmentFileEntryMVCRenderCommand.xml,OSGI-INF/com.life
 ray.commerce.product.definitions.web.internal.portlet.action.EditCPDe
 finitionCPDisplayLayoutMVCActionCommand.xml,OSGI-INF/com.liferay.comm
 erce.product.definitions.web.internal.portlet.action.EditCPDefinition
 CPDisplayLayoutMVCRenderCommand.xml,OSGI-INF/com.liferay.commerce.pro
 duct.definitions.web.internal.portlet.action.EditCPDefinitionLinkMVCA
 ctionCommand.xml,OSGI-INF/com.liferay.commerce.product.definitions.we
 b.internal.portlet.action.EditCPDefinitionLinkMVCRenderCommand.xml,OS
 GI-INF/com.liferay.commerce.product.definitions.web.internal.portlet.
 action.EditCPDefinitionMVCActionCommand.xml,OSGI-INF/com.liferay.comm
 erce.product.definitions.web.internal.portlet.action.EditCPDefinition
 MVCRenderCommand.xml,OSGI-INF/com.liferay.commerce.product.definition
 s.web.internal.portlet.action.EditCPDefinitionOptionRelMVCActionComma
 nd.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.internal
 .portlet.action.EditCPDefinitionOptionRelMVCRenderCommand.xml,OSGI-IN
 F/com.liferay.commerce.product.definitions.web.internal.portlet.actio
 n.EditCPDefinitionOptionValueRelMVCActionCommand.xml,OSGI-INF/com.lif
 eray.commerce.product.definitions.web.internal.portlet.action.EditCPD
 efinitionOptionValueRelMVCRenderCommand.xml,OSGI-INF/com.liferay.comm
 erce.product.definitions.web.internal.portlet.action.EditCPDefinition
 SpecificationOptionValueMVCActionCommand.xml,OSGI-INF/com.liferay.com
 merce.product.definitions.web.internal.portlet.action.EditCPDefinitio
 nSpecificationOptionValueMVCRenderCommand.xml,OSGI-INF/com.liferay.co
 mmerce.product.definitions.web.internal.portlet.action.EditCPInstance
 MVCActionCommand.xml,OSGI-INF/com.liferay.commerce.product.definition
 s.web.internal.portlet.action.EditCPInstanceMVCRenderCommand.xml,OSGI
 -INF/com.liferay.commerce.product.definitions.web.internal.portlet.ac
 tion.EditCPInstanceUnitOfMeasureMVCActionCommand.xml,OSGI-INF/com.lif
 eray.commerce.product.definitions.web.internal.portlet.action.EditCPI
 nstanceUnitOfMeasureMVCRenderCommand.xml,OSGI-INF/com.liferay.commerc
 e.product.definitions.web.internal.portlet.action.EditCProductExterna
 lReferenceCodeMVCActionCommand.xml,OSGI-INF/com.liferay.commerce.prod
 uct.definitions.web.internal.portlet.action.EditCProductExternalRefer
 enceCodeMVCRenderCommand.xml,OSGI-INF/com.liferay.commerce.product.de
 finitions.web.internal.portlet.action.UploadTempAttachmentMVCActionCo
 mmand.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.inter
 nal.portlet.action.ViewCPInstancesMVCRenderCommand.xml,OSGI-INF/com.l
 iferay.commerce.product.definitions.web.internal.scheduler.CheckCPAtt
 achmentFileEntrySchedulerJobConfiguration.xml,OSGI-INF/com.liferay.co
 mmerce.product.definitions.web.internal.scheduler.CheckCPDefinitionLi
 nkSchedulerJobConfiguration.xml,OSGI-INF/com.liferay.commerce.product
 .definitions.web.internal.scheduler.CheckCPDefinitionSchedulerJobConf
 iguration.xml,OSGI-INF/com.liferay.commerce.product.definitions.web.i
 nternal.scheduler.CheckCPInstanceSchedulerJobConfiguration.xml
Tool: Bnd-5.3.0.202102221516
Web-ContextPath: /commerce-product-definitions-web

